#!/usr/bin/python3
from sys import path, argv
import os

path.append(__file__ + '_src/py')
path.append(__file__.removesuffix('main.py') + 'ompl_src/py')

import ctypes
import cdll_class
import script_loader as sl
import error_list
import error_class
import output

def main():
    output.color_println('cyan', output.LOGO)
    if len(argv) < 2:
        error_class.call_error('script_not_specified')
    sl.loader(argv[1])
    # a = cdll_class.C_Library('./lib.so', ctypes.c_int)


if __name__ == '__main__':
    main()
