from error_class import call_error
from output import *


def loader(path: str):
    lines = None
    try:
        with open(path, 'r') as code_file:
            lines = code_file.readlines()
    except FileNotFoundError:
        call_error('file_not_found')
    color_println('green', f'{path} is loaded')
    return lines
